START TRANSACTION;

-- There is a need to save disciplines without grade because 1C doesn't provide it
ALTER TABLE `disciplines`
  MODIFY COLUMN `GradeID` int(11) DEFAULT NULL
;

-- There is a need to save teachers without department because 1C doesn't provide it.
-- So, we need to save faculty right in teachers table.
ALTER TABLE `teachers`
  ADD COLUMN `FacultyID` int(11) DEFAULT NULL
;

UPDATE teachers
    INNER JOIN departments ON teachers.DepartmentID = departments.ID
SET teachers.FacultyID = departments.FacultyID;

ALTER TABLE `teachers`
  MODIFY COLUMN `FacultyID` int(11) NOT NULL,
  ADD CONSTRAINT `teachers_ibfk_4` FOREIGN KEY (`FacultyID`) REFERENCES `faculties` (`ID`)
;

COMMIT;